Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.log
Class Log4JProvider

    java.lang.Object
      org.jboss.seam.log.Log4JProvider

All Implemented Interfaces:
  LogProvider

    public final class Log4JProvider

extends Object
implements LogProvider

Method Summary
`void` | `debug(Object object)`
`void` | `debug(Object object, Throwable t)`
`void` | `error(Object object)`
`void` | `error(Object object, Throwable t)`
`void` | `fatal(Object object)`
`void` | `fatal(Object object, Throwable t)`
`void` | `info(Object object)`
`void` | `info(Object object, Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(Object object)`
`void` | `trace(Object object, Throwable t)`
`void` | `warn(Object object)`
`void` | `warn(Object object, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### debug

    public void debug(Object object)

  Specified by:
    `debug` in interface `LogProvider`

### debug

    public void debug(Object object,
                      Throwable t)

  Specified by:
    `debug` in interface `LogProvider`

### error

    public void error(Object object)

  Specified by:
    `error` in interface `LogProvider`

### error

    public void error(Object object,
                      Throwable t)

  Specified by:
    `error` in interface `LogProvider`

### fatal

    public void fatal(Object object)

  Specified by:
    `fatal` in interface `LogProvider`

### fatal

    public void fatal(Object object,
                      Throwable t)

  Specified by:
    `fatal` in interface `LogProvider`

### info

    public void info(Object object)

  Specified by:
    `info` in interface `LogProvider`

### info

    public void info(Object object,
                     Throwable t)

  Specified by:
    `info` in interface `LogProvider`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `LogProvider`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `LogProvider`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `LogProvider`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `LogProvider`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `LogProvider`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `LogProvider`

### trace

    public void trace(Object object)

  Specified by:
    `trace` in interface `LogProvider`

### trace

    public void trace(Object object,
                      Throwable t)

  Specified by:
    `trace` in interface `LogProvider`

### warn

    public void warn(Object object)

  Specified by:
    `warn` in interface `LogProvider`

### warn

    public void warn(Object object,
                     Throwable t)

  Specified by:
    `warn` in interface `LogProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD